# -*- coding: utf-8 -*-
"""
Created on Fri May  7 10:09:21 2021

@author: Administrator
"""
# 导入所需要库
import wordcloud
import  matplotlib.pyplot as plt
from imageio import imread
mk=imread("pic2.jpg")

# 读入一个txt文件
text = open( 'D.txt', 'r').read()

# 生成词云,设置词云属性
w =  wordcloud.WordCloud(width=600,height=400,\
               min_font_size=10,max_font_size=200,\
              font_step=2,max_words=20,\
              background_color="white",mask=mk )  
w.generate(text)  #加载文本,根据文本生成词云 

# 显示词云图片
plt.imshow(w)  #函数负责对图像进行处理，并显示其格式，
plt.axis( 'off')  # 不显示坐标轴
plt.show()  #将plt.imshow()处理后的函数显示出来。

# 保存图片
w.to_file( 'D.jpg')